Summary: Logging Framework for C++
Name: log4cplus
Version: 2.1.0
Release: 1%{?dist}

License: ASL 2.0
URL: http://sourceforge.net/projects/log4cplus
Source0: http://downloads.sourceforge.net/%{name}/%{name}-%{version}.tar.xz

%description
log4cplus is a simple to use C++ logging API providing thread-safe, flexible,
and arbitrarily granular control over log management and configuration. It is
modeled after the Java log4j API.

%package devel
Summary: Development files for log4cplus C++ logging framework
Requires: %{name} = %{version}-%{release}
BuildRequires: gcc-c++, make, gnupg2

%description devel
This package contains headers and libraries needed to develop applications
using log4cplus logging framework.

%package static
Summary: Static development files for log4cplus C++ logging framework
Requires: %{name}-devel = %{version}-%{release}

%description static
This package contains static libraries needed to develop applications
using log4cplus logging framework.

%prep
%setup -q

%build
%configure --enable-static

%make_build

%install
%make_install

rm -f $RPM_BUILD_ROOT/%{_libdir}/liblog4cplus*.la


%files

%license LICENSE
%doc README.md ChangeLog
%{_libdir}/liblog4cplus*.so.9*

%files devel
%dir %{_includedir}/log4cplus
%dir %{_includedir}/log4cplus/boost
%dir %{_includedir}/log4cplus/config
%dir %{_includedir}/log4cplus/helpers
%dir %{_includedir}/log4cplus/internal
%dir %{_includedir}/log4cplus/spi
%dir %{_includedir}/log4cplus/thread
%dir %{_includedir}/log4cplus/thread/impl
%{_includedir}/log4cplus/*.h*
%{_includedir}/log4cplus/boost/*.h*
%{_includedir}/log4cplus/config/*.h*
%{_includedir}/log4cplus/helpers/*.h*
%{_includedir}/log4cplus/internal/*.h*
%{_includedir}/log4cplus/spi/*.h*
%{_includedir}/log4cplus/thread/*.h*
%{_includedir}/log4cplus/thread/impl/*.h*
%{_libdir}/pkgconfig/log4cplus.pc
%{_libdir}/lib*.so

%files static
%{_libdir}/lib*.a


%changelog
* Thu Dec 21 2023 Chair <chairou@tencent.com> - 2.1.0-1
- Init
